==== Python
-You can use the `tests/utils/run-python-bt2.sh` script to run any
-command within an environment making the build's `bt2` Python package
-available.
+You can use the `tests/utils/run-in-py-env.sh` script to run any command
+within an environment making the build's `bt2` Python package available,
+as well as the testing utility Python modules.
-`run-python-bt2.sh` uses <<test-env,`utils.sh`>> which needs to know the
+`run-in-py-env.sh` uses <<test-env,`utils.sh`>> which needs to know the
build directory, so make sure you set the `BT_TESTS_BUILDDIR`
environment variable correctly _if you build out of tree_, for example:
----
You can run any command which needs the `bt2` Python package through
-`run-python-bt2.sh`, for example:
+`run-in-py-env.sh`, for example:
----
-$ ./tests/utils/run-python-bt2.sh ipython3
+$ ./tests/utils/run-in-py-env.sh ipython3
----
=== Report format
* Run:
+
----
-$ ./tests/utils/run-python-bt2.sh ./tests/bindings/python/bt2/test-python-bt2.sh
+$ ./tests/utils/run-in-py-env.sh ./tests/bindings/python/bt2/test-python-bt2.sh
----
+
or:
+
----
-$ ./tests/utils/run-python-bt2.sh python3 ./tests/utils/python/testrunner.py \
+$ ./tests/utils/run-in-py-env.sh python3 ./tests/utils/python/testrunner.py \
./tests/bindings/python/bt2/ -p '*.py'
----
* Run:
+
----
-$ ./tests/utils/run-python-bt2.sh python3 ./tests/utils/python/testrunner.py \
+$ ./tests/utils/run-in-py-env.sh python3 ./tests/utils/python/testrunner.py \
./tests/bindings/python/bt2 -t test_value
----
* Run:
+
----
-$ ./tests/utils/run-python-bt2.sh python3 ./tests/utils/python/testrunner.py \
+$ ./tests/utils/run-in-py-env.sh python3 ./tests/utils/python/testrunner.py \
./tests/bindings/python/bt2/ -t test_value.RealValueTestCase
----
* Run:
+
----
-$ ./tests/utils/run-python-bt2.sh python3 ./tests/utils/python/testrunner.py \
+$ ./tests/utils/run-in-py-env.sh python3 ./tests/utils/python/testrunner.py \
./tests/bindings/python/bt2/ -t test_value.RealValueTestCase.test_assign_pos_int
----
EXTRA_DIST = python
dist_check_SCRIPTS = \
- run-python-bt2.sh \
+ run-in-py-env.sh \
tap-driver.sh \
utils.sh
--- /dev/null
+#!/bin/bash
+#
+# SPDX-License-Identifier: GPL-2.0-only
+#
+# Copyright (C) 2017 Philippe Proulx <pproulx@efficios.com>
+# Copyright (C) 2019 Simon Marchi <simon.marchi@efficios.com>
+#
+
+# Execute a shell command in the appropriate environment to have access to the
+# bt2 Python bindings. For example, one could use it to run a specific Python
+# binding test case with:
+#
+# $ tests/utils/run-in-py-utils-bt2-env.sh python3 ./tests/utils/python/testrunner.py \
+# -t test_value.MapValueTestCase.test_deepcopy \
+# ./tests/bindings/python/bt2
+
+if [ -n "${BT_TESTS_SRCDIR:-}" ]; then
+ UTILSSH="$BT_TESTS_SRCDIR/utils/utils.sh"
+else
+ UTILSSH="$(dirname "$0")/../utils/utils.sh"
+fi
+
+# shellcheck source=../utils/utils.sh
+source "$UTILSSH"
+
+usage() {
+ echo "Usage: run-in-py-utils-bt2-env.sh [PYTHON_BIN] ..."
+ echo ""
+ echo "Run a binary with the python environment set to use the 'bt2' module"
+ echo "from the build system prior to installation."
+ echo ""
+ echo "When building out of tree export the BT_TESTS_BUILDDIR variable with"
+ echo "the path to the built 'tests' directory."
+}
+
+if [ -z "$*" ]; then
+ usage
+ exit 1
+fi
+
+# Sanity check that the BT_TESTS_BUILDDIR value makes sense.
+if [ ! -f "$BT_TESTS_BUILDDIR/Makefile" ]; then
+ fold -w 80 -s <<- END
+ $0: BT_TESTS_BUILDDIR does not point to a valid directory (\`$BT_TESTS_BUILDDIR/Makefile\` does not exist).
+
+ If building out-of-tree, set BT_TESTS_BUILDDIR to point to the \`tests\` directory in the build tree.
+ END
+ exit 1
+fi
+
+bt_run_in_py_env "${@}"
+++ /dev/null
-#!/bin/bash
-#
-# SPDX-License-Identifier: GPL-2.0-only
-#
-# Copyright (C) 2017 Philippe Proulx <pproulx@efficios.com>
-# Copyright (C) 2019 Simon Marchi <simon.marchi@efficios.com>
-#
-
-# Execute a shell command in the appropriate environment to have access to the
-# bt2 Python bindings. For example, one could use it to run a specific Python
-# binding test case with:
-#
-# $ tests/utils/run_python_bt2 python3 ./tests/utils/python/testrunner.py \
-# -t test_value.MapValueTestCase.test_deepcopy \
-# ./tests/bindings/python/bt2
-
-if [ -n "${BT_TESTS_SRCDIR:-}" ]; then
- UTILSSH="$BT_TESTS_SRCDIR/utils/utils.sh"
-else
- UTILSSH="$(dirname "$0")/../utils/utils.sh"
-fi
-
-# shellcheck source=../utils/utils.sh
-source "$UTILSSH"
-
-usage() {
- echo "Usage: run_python_bt2 [PYTHON_BIN] ..."
- echo ""
- echo "Run a binary with the python environment set to use the 'bt2' module"
- echo "from the build system prior to installation."
- echo ""
- echo "When building out of tree export the BT_TESTS_BUILDDIR variable with"
- echo "the path to the built 'tests' directory."
-}
-
-if [ -z "$*" ]; then
- usage
- exit 1
-fi
-
-# Sanity check that the BT_TESTS_BUILDDIR value makes sense.
-if [ ! -f "$BT_TESTS_BUILDDIR/Makefile" ]; then
- fold -w 80 -s <<- END
- $0: BT_TESTS_BUILDDIR does not point to a valid directory (\`$BT_TESTS_BUILDDIR/Makefile\` does not exist).
-
- If building out-of-tree, set BT_TESTS_BUILDDIR to point to the \`tests\` directory in the build tree.
- END
- exit 1
-fi
-
-bt_run_in_py_utils_bt2_env "${@}"